Welcome

Recent Documents 2002

Quick Start...

n What's New?

n Ov erview of Recent Documents

n Supported Documents

n Inst alling Recent Documents

n Upgra ding from Recent Documents 97

n Getting Support

Copyright © 1994-2002

Oakley Data Services

All Rights Reserved

Help File Revision 2002/110


Upgrading from Recent Documents 97

Upgrading from Recent Documents is easy. Simply install Recent Documents over the top of your existing Recent Documents installation.

Rules: Whilst updgrading to Recent Documents 2002 will preserve your existing stored documents and their categories, the way "Rules" are processed in this version, means that any existing rules will be lost and require resetting up.

Note: Make sure that Recent Documents 97 has been "terminated and unloaded" before installing Recent Documents 2002.


What's New

The following changes were introduced by this build of Recent Documents 2002.

Version 2.0 (Build 110) -- March 2002

This release is the first build of Recent Documents 2002.

Recent Documents 2002 is a major change on the previous version. The underlying functionality is along the same lines as Recent Documents 97, but the interface has been "modernized" in keeping with the "XP" look.

The main changes are the introduction of Search facility and a simplification of the Rule processing.

Full Change History


Getting Support

Important: Before requesting support, please ensure that the answer to your question is not already contained in the Help File or the Frequently Asked Questions for Recent Documents

Also, please ensure you quote the version and build of Recent Documents you are running. this information is available from Recent Documents' Help, About menu command.

For full details on obtaining Support for Recent Documents, please visit the Recent Documents Web Site (http://www.recentdocuments.com)


Purchasing and License Upgrades

Recent Documents is sold in two varieties:-

Single User: This enables Recent Documents to be run on a single computer only (i.e., not installed on a network).

Multi-User License: This enables Recent Documents to be installed on more that one computer and, if required, shared from a network file-share.

To purchase the single-user version of Recent Documents, please the appropriate item on Recent Documents' Help Menu. Alternatively, visit the Recent Documents Web Site (http://www.recentdocuments.com) where full details and prices can be found.

To purchase a Multi-User License, plrease contact sales@recentdocuments.com for further details and pricing.


Upgrade Policy

When you purchased Recent Documents, you were supplied a Product License Key.

It is important that you keep this key in a secure place as you will need it whenever reinstalling Recent Documents. Without this key, you will not be able to reinstall the licensed version of this product.

The license key is valid for any versions of Recent Documents that still bear the "2002" version identifier. Future versions that bear the "2002" identifier version, will generally be for minor enhancements and bug-fixes. Any release containing major new functionality will bear a different version identifier (e.g., 2004) and an upgrade fee will be chargeable.

We will make new versions of the product available via the usual sources, on-line services such as the Internet and via disk vendors, cover disks and CD's. However, the prime locations for new releases is the Recent Documents Web Site (http://www.recentdocuments.com)

If you do obtain a newer version of the product, then you should uninstall your existing version before you install the newer version. You may also need to re-enter your license key to register the new version.

Tip: Uninstalling and then re-installing Recent Documents will not affect your data. However, as always we recommend that you back-up the Data file before uninstalling.


Warranty

This software is supplied as is without warranty or representation either express or implied with respect to the program or its documentation including their quality, performance, merchantability, or fitness for a particular purpose.

In no event will Oakley Data Services or any of its agents or assigns, or any organization distributing "Recent Documents" on its behalf be liable for direct, indirect, special, incidental, or consequential damages arising out of the use of, or inability to use the program.

All trademarks are acknowledged.


Overview

Recent Documents is an application to replace and enhance the functionality of the "Documents Menu" on your Windows 9x, ME, NT and Windows 2000, and the "My Recent Documents" menu on Windows XP Home and Professional's Start Menu.

Normally the sub-menu displayed by the "My Recent Documents" Menu, lists the last 15 document files that you have accessed, allowing any of these documents to be reopened simply by clicking on the name of the document. Whilst this facility was very welcome when it was introduced with the "Windows 95" interface, there are some issues and limitations with it: -

  1. It is not possible to customize which documents are listed, how they are listed or how many documents should be retained for future reference.

  2. You cannot age the documents, allowing documents that were referenced more than x days ago to be ignored.

  3. It is very difficult to remove a document from the menu if you don't want it there.

  4. If you access two documents that have the same file name, but reside in different folders, only the last document referenced will be stored. The "My Recent Documents" Menu ignores folder names!

  5. You can’t group documents into specified categories of document.

These "features" of the "My Recent Documents" Menu, relegate this (should be) useful feature of Windows to another one of those "it's there, but I don't use it" tools. So what's the answer... "Recent Documents" of course!

Basically, "Recent Documents" provides an user interface to the function of the Documents Menu. Whilst Recent Documents is running, any documents that are passed by Windows to the Documents Menu, will be redirected to "Recent Documents". These documents may then be viewed in various formats, they can be customised so that true document histories can be maintained, filtered to restrict which documents are displayed and automatically moved into user defined document category groupings.

The easiest way to explain how it all works, is to actually install and run the application. Once installed and run for the first time, you will be able to access the application from the Windows "My Recent Documents" Menu or the Windows System Tray. By having the application start via your Windows' Start-up Folder, Recent Documents will also be running and therefore you will have easy and controlled access to all you recently referenced documents.


Supported Documents

In order for document references to be stored in Recent Documents, they have to be of a type supported by Windows' "My Recent Documents" Menu. If after opening a file, a reference for that file doesn't appear on the Documents Menu (when Recent Documents isn't running), then it is not supported by Recent Documents.

When you open a file in a 32Bit application, then a reference for that file will be added to Recent Documents. Files opened in 16Bit applications are not supported and therefore will not appear in Recent Documents. However, if you double-click a document in Windows Explorer or My Computer, a reference to that file will be stored in Recent Documents.


Starting Recent Documents

To start recent documents for the first time, click on the Application's shortcut in Windows' Programs Menu. This shortcut will have been added by the installation process. Alternatively, run the file RECENTS.EXE stored in the folder specified during the installation.

After Recent Documents has been started for the first time, you can either invoke the application as above, or by clicking the link on Windows' "My Recent Documents" Menu which was created when Recent Documents was first run.

Once running, you can quickly switch to Recent Documents by either selecting the link on Windows' "My Recent Documents" Menu or by clicking the Recent Documents Icon in the Taskbar's System Tray.

For Recent Documents to always be up-to-date and continually managing your documents, you should have it running all the time Windows is running. To do this, a shortcut in Windows' Start-up Folder was added during the installation of Recent Documents. This means that whenever Windows is started, Recent Documents will also be started.

Tip: By default, Recent Documents will start "silently" (i.e., not display itself) when started via the Windows Start-up folder. This is done by adding a command line switch of /S to the shortcut in the Start-up folder. If you would rather Recent Documents is displayed after starting Windows, then simply remove the /S from the Start-up folder's shortcut.


Closing Recent Documents

In order to close Recent Documents, you should select Close from the File menu. This removes the application from the screen, but continues to monitor and manage your documents. When closed, Recent Documents can be quickly invoked from the System Tray of the Windows Task Bar or from the item on the Windows Documents menu.

If you some reason you wish to stop Recent Documents totally and not allow it to continue to monitor and manage your documents, then you should select Terminate and Unload from the File menu.

In order to ensure that your documents are always managed and up-to-date, it is recommended that you do not use the Terminate and Unload option, unless absolutely necessary.


Installing Recent Documents

To install Recent Documents, simply run the set-up program provided. This will step through the installation process allowing you to specify certain user configurable aspects of the application's installation.

Once installed, you should start Recent Documents by selecting the Application's shortcut from your Programs Menu.

Note: Until Recent Documents is run for the first time, the link to the application from the Documents Menu will not be available.


Installing on a Network

If you wish to install Recent Documents to be run from a central Network File Server, you will need to purchase a site license for Recent Documents, covering the maximum number of concurrent user who will be running Recent Documents. The single user license does not allow you to install Recent Documents on a Network File Server.

During an evaluation process, you may install Recent Documents on a network file server but this must only be for the evaluation period. After this period, Recent Documents should be removed from the server or a site license purchased.

For more information, please contact visit the Recent Documents Web Site (http://www.recentdocuments.com).


Data File Placement

Recent Documents stores its Data File in your Windows Profile Folder, usually located in the "Documents and Settings/username" folder or, under eariler versions of Windows, the Windows folder.

The name of this file is "Recent Documents....R97" Note the multiple "periods" in the file name.


Backing up the Data File

It is recommended that you back-up the Recent Documents Data File at regular periods. To this this, ensure that Recent Documents has been Terminated and Unloaded and then simply copy the Data File to another location or include it in your regular back-ups.

Remember: The Data File only contains references to your documents. It doesn't contain the actual documents themselves. If you did lose the data file, you would simply lose you document history, nothing more.


Controlling Document History

By default, Recent Documents decides what document references are retained based on the number of documents stored and the age of these Documents. There are two settings that control this and these can be configured using the View, Options command.

Number of Documents to be Stored:

This setting defines the maximum number of unlocked document references that can be stored. When this number is exceeded, the oldest unlocked document reference is removed. It should be noted that the number of documents is per Category with each Category being treated independently of the others. By default the maximum number of documents is set to 15.

Maximum Document Age:

This setting defines the maximum number of days unlocked documents are stored. When an unlocked document exceeds this age, the reference to that document is removed. By default the maximum document age is set to 30 days.

Note: Documents that are locked, are not aged or included in the number of documents. Locked documents always remain until they are manually removed.


Using Document Categories

As the number of document references stored within Recent Documents grows, it may be easier to group certain types of documents together into document Categories.

For example, by creating a category called Clients and then creating a category for each client within the Clients category, you could group documents relating to a client in that client's own subcategory. Whenever you wanted to quickly recall a document for a client, you could just select the Category View in Recent Documents and open the appropriate category.

Another benefit from using document categories, is that each category can have its own maximum number of documents and maximum document age settings. To change these for a category, highlight a category and under the File menu select Properties

To move a document reference into a category, select the document and under the File menu select Properties. Alternatively, whilst in the Category View, simply drag the required documents from the documents window onto the destination category in the categories window.

By default, all documents are initially stored in the <Defaults> category, but his can be changed by creating Rules to automatically move documents into specified categories when they are added to Recent Documents.


Using Rules to Manage Documents

Recent Documents supports a facility called Rules Processing. This facility allows automated actions to be set-up that can be applied against the documents stored within Recent Documents.

A Rule consists of an Action and an Expression. For every document added, the document's name (which includes the document's filename and folder path) is compared against the Rule's Expression. If that Expression matches, then the Rule's Action will be applied.

Actions

There are three types of Rule Action available:

Include:

Include Actions restrict which documents are actually added to Recent Documents. If there are no Include Rules defined, then an Include All Documents rule is assumed. If an Include Rule is defined, then only documents matching the rule expression, will be eligible for adding. Example.

Exclude:

Exclude Actions also restrict which documents are actually added to Recent Documents. If there are no Exclude Rules defined, then an Exclude No Documents rule is assumed. If an Exclude Rule is defined, then any documents matching the rule expression, will not be added. Example

Move:

Move Actions allows documents that match the rule expression to be moved to a specified document category group. Any documents that don't match the rule expressions for any Move Actions, will be placed in the <Default> document category. Example

It should be noted that Rules are processed in the order:

Include -> Exclude -> Move

Therefore, if you have specified to only include Text Files, then no matter what Exclude and Move rules are defined, only Text Files will reach the Exclude and Move Rule processing.

Expressions

Expressions are matched against a documents full name (including the folder and filename itself). These expressions use "wild-cards" to allow multiple matches in the same way as Windows' File Search facility does.

Using Wild-Card Characters

A Wild-card character is a keyboard character such as an asterisk (*) or a question mark (?) that is used to represent one or more characters in the document's name. Wild-card characters are often used in place of one or more characters when you do not know what the real character is or you do not want to type the entire document name. Example

To manage the current Rule Definitions or create new rules, select Rules from the Tools menu.


Viewing Stored Documents

Recent Documents allows you to view your stored documents in a number of differing views. To change a document view, use the View menu and then View By..

Document View: (Default) This view displays all documents in one window, regardless of their category groups, folder location, etc.

History View: his view displays the documents by the the date that they were last referenced.

Folder View: This view displays the documents by their actual physical location on your computer or an attached network.

Document Type View: This view displays the documents by the document type. The document type usually refers to the application that was used to create the document.

Category View: This view displays the documents by the category groups they have been allocated to.

Search: This view allows you to search your stored documents, in the same way as you can search for files using Windows Explorer. When you search, the results are displayed in a Document View showing all documents that matched you search criteria.


Selecting Documents

Before a document function is available, at least one document reference must be selected in the documents window.

To select a single document:

Either click the reference with the mouse or use the cursor keys to highlight it.

To select multiple documents:

In the documents window, hold down the CTRL key, and then click each item you want to select. To select all the documents in the window, click the Tools menu, and then click Select All. To select a group of files that are next to each other in the documents window, click anywhere in the blank area of the window. A box will then appear that you can then drag around the files you want to select.


Opening Documents

Use the Open function to open any selected document If you wish to open more than one document, then select all the required references followed by the Open function.

The application used to open a document will be the same application that was originally used to create the document. If this application or the document is no longer available, then an error message will be displayed.


Removing a Document

Use the Remove function to remove any selected document from recent Documents. If you wish to remove more than one document, then select all the required references followed by the Remove function. A confirmation window will be displayed before each document is removed from Recent Documents.

Note: When removing a document from Recent Documents, you are only removing the reference to that document. You are not removing the actual document file from your computer. If you wish to also remove the actual document, you should use Windows' Explorer.


Document Properties

Use the Properties function to display and change the properties of the selected document reference. The Properties window displays information about the actual document and allows you to lock/unlock the reference and/or move it into a different Category group.

Note: This function does not support multiple selected documents and will only display the properties of the first reference selected.


Locking Documents

Use the Lock function to lock the selected document reference. If you wish to lock more than one document, then select all the required references followed by the Lock function.

When a document is locked it will not be:

  1. Included in determining the maximum number of documents allowed in a category.

  2. Removed when it exceeds the number of days to be retained.

  3. Affected by any Rules processing that may be set-up.

Note: If the selected document is already locked, then this function will unlock the document.


Legal Notice

This product is commercial software and as such a license must be purchased to use the product.

If you have not already purchased a license for "Recent Documents" you are granted a 15-day license to review and evaluate the usefulness of this product. This 15-day period commences from the day the product is first installed. On completion of the 15-day evaluation period you are required to either remove the program from your computer and cease using it, or purchase a license for the product from Oakley Data Services or its agents.

You also have the right, and in fact you are actively encouraged, to distribute copies of the evaluation version of this product. You may assume you have our authority to distribute the evaluation, unless we explicitly tell you otherwise. It must, however remain in its original, unmodified state, and all its constituent files must be included. No-one may charge for the evaluation product itself, although a reasonable fee for the media used and copying costs is allowable.

You may not distribute copies of the licensed version of this product. You may not distribute any License Keys in any form.

This software is supplied as is without warranty or representation either express or implied with respect to the program or its documentation including their quality, performance, merchantability, or fitness for a particular purpose.

In no event will Oakley Data Services or any of its agents or assigns, or any organization distributing "Recent Documents" on its behalf, be liable for direct, indirect, special, incidental, or consequential damages arising out of the use of, or inability to use the program.

All trademarks are Acknowledged.


License Copyright and Disclaimer

The use of this program indicates your understanding and acceptance of the following terms and conditions. This license shall supersede any verbal or written statement or agreement to the contrary. If you do not understand or accept these terms you must cease using this product immediately.

Copyright

Disclaimer

Restrictions

license for Usage

Back-Up Copies

license Transfer

Terms

Other Rights.


Full Change History

The following changes have been made to Recent Documents

Version 2.0 (Build 110) -- March 2002

This release is the first build of Recent Documents 2002.

Recent Documents 2002 is a major change on the previous version. The underlying functionality is along the same lines as Recent Documents 97, but the interface has been "modernized" in keeping with the "XP" look.

The main changes are the introduction of Search facility and a simplification of the Rule processing.


Configuring Recent Documents

Recent Documents may be configured in different ways to suit the user. To configure Recent Documents, you should select the Options command from the View Menu. Once configured, the configuration will be saved between sessions.

What do you want to do?

Understand History Settings


Example Include Rule

If you wished to only include documents that were physically located in the folder C:\Letters, then you would define a rule which would like like:

Include C:\Letters\*

This translates to "Only allow documents beginning with C:\Letters\ to be added". Any other documents, unless they were matched by another Include Rule, would not be added to Recent Documents.


Example Exclude Rule

If you wished not to have any documents that were stored on a floppy disk (drive A:) added to Recent Documents, then you would define a rule which would like like:

Exclude A:\*

This translates to "Any documents beginning with A:\ are not to be added". Any other documents, unless they were matched by another exclude Rule, would be added to Recent Documents.


Example Move Rule

If you wished to automatically move all documents that had the word Client anywhere in the document's name, to a document category of Client Documents, you would define a rule which would like like:

Move Client to Category "Client Documents"

This translates to "Move any documents with Client in its filename or folder path, to the Category group Clients". Any other documents, unless they were matched by another Move Rule, would be added to the documents group <Default>


Wild-Card Uses

Using Wild-card characters

Asterisk (*): Use the asterisk as a substitute for zero or more characters. If you are looking for a document that you know starts with "gloss" but you cannot remember the rest of the file name, type the following:

gloss*

This locates all files of any file type that begin with "gloss" including Glossary.txt, Glossary.doc, and Glossy.doc. To narrow the search to a specific type of file, type:

gloss*.doc

This locates all files that begin with "gloss" but have the file name extension .doc, such as Glossary.doc and Glossy.doc.

Question mark (?): Use the question mark as a substitute for a single character in a name. For example, if you type gloss?.doc, you will locate the file Glossy.doc or Gloss1.doc but not Glossary.doc.


Back-up Copies

You may make one copy of the software supplied, solely for "back-up" purposes. The backup copy must include any copyright notices contained in the original.


Copyright

This product is © Copyright 1994-2002 by Oakley Data Services. United Kingdom copyright law and various international treaties protect this product. This software product and documentation may not, in whole or in part, be copied, photo copied, translated, or reduced to any electronic medium or machine-readable form, without prior consent in writing from Oakley Data Services.


Disclaimer

This product and/or license is provided as is, without any representation or warranty of any kind, either express or implied, including without limitation any representations or endorsements regarding the use of, the results of, or performance of the product, its appropriateness, accuracy, reliability, or correctness. The user and/or licensee assume the entire risk as to the use of this product. Oakley Data Services do not assume liability for the use of this product beyond the original purchase price of the software. In no event will Oakley Data Services be liable for additional direct or indirect damages including any loss of profits or other incidental or consequential damages arising from any defects, or the use or inability to use the software, even if Oakley Data Services have been advised of the possibility of such damages.


Frequently Asked Questions

The Frequently Asked Questions (or FAQ) are a collection of questions and answers relating to the use of Recent Documents. These questions are continually being updated by our support team as new issues and questions are identified.

To access the Frequently Asked Questions for Recent Documents, please visit the Recent Documents Web Site (http://www.recentdocuments.com)


License for Usage

You may install and use one copy of the Software Product on a single computer, device, workstation, terminal, or other digital electronic or analog device ("Device"). You may make a second copy of the Software Product and install it on a portable Device for the exclusive use of the person who is the primary user of the first copy of the Software Product. A license for the Software Product may not be shared.

Network deployment is only permitted if you have purchased a Multi-User License and have sufficient licenses to cover the number of users requiring access to the application.


License Transfer

You may transfer the product to another party only if the other party agrees to all the terms and conditions of this agreement. If you transfer the program you must at the same time transfer any documentation and the back-up copy, or transfer any documentation and destroy the back-up copy. You may not retain any portion of the program, in any form, under any circumstance.


Other Rights

All other rights not specifically granted in this license are reserved by Oakley Data Services


Restrictions

You may not use, copy, modify, translate, or transfer the software, documentation, or any copy except as expressly defined in this agreement. You may not attempt to unlock or bypass any licensing algorithm utilized by the program. You may not remove or modify any copyright notices.

The evaluation version of this product may be freely distributed.

The license keys you receive with a full license to the product may not be distributed by anyone without the prior written authorization of Oakley Data Services.


Terms

This license is effective until terminated. You may terminate it by destroying the software, the documentation and copies thereof. This license will also terminate if you fail to comply with any terms or conditions of this agreement. You agree upon such termination to destroy all copies of the program and of the documentation, or return them to Oakley Data Services.